﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
  version="1.0">
  <xsl:output method="xml"/>

  <xsl:template match="cv">
    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <fo:layout-master-set>
        <fo:simple-page-master master-name="couv"                 
                  page-height  ="29.7cm"
                  page-width   ="21cm"
                  margin-left  ="1cm"
                  margin-right ="2cm">
          <fo:region-body region-name="Content1" margin-top="2cm" margin-bottom="2cm"/>
          <fo:region-after region-name="Footer1" precedence="true" extent="1cm"/>
        </fo:simple-page-master>
        
        <fo:simple-page-master master-name="pages"                 
                  page-height  ="29.7cm"
                  page-width   ="21cm"
                  margin-left  ="1cm"
                  margin-right ="2cm">
          <fo:region-body region-name="Content2" margin-top="2cm" margin-bottom="2cm"/>
          <fo:region-after region-name="Footer2" precedence="true" extent="1cm"/>
        </fo:simple-page-master>

      </fo:layout-master-set> 

      <fo:page-sequence master-reference="couv">

        <fo:static-content flow-name="Footer1">
          <fo:block border-top="1px solid #ccc" color="#666" font-size=".9em" text-align="center">page <fo:page-number />/<fo:page-number-citation ref-id="theEnd"/></fo:block>
        </fo:static-content>

        <fo:flow flow-name="Content1" font-family="Arial" font-size="10pt">

          <fo:block-container position="absolute" top="0cm" left="0cm" width="5cm" height="20cm" border-right="0.5pt silver solid" padding="3pt">
            <xsl:apply-templates select="coordonnees"/>
            <xsl:if test="objectif/descriptif!=''">
              <fo:block space-after="5mm">
                <xsl:value-of select="objectif/descriptif"/>.
              </fo:block>
            </xsl:if>
            <xsl:if test="langues!=''">
              <fo:block>Langue : <xsl:value-of select="langues/langue"/>
              </fo:block>
            </xsl:if>
            <fo:block>
              <xsl:value-of select="pdp"/>
            </fo:block>
          </fo:block-container>


          <fo:block-container position="absolute" top="-0.5cm" left="6cm" width="12cm">

            <xsl:apply-templates select="experiences"/>
            <xsl:apply-templates select="publications"/>
            <xsl:apply-templates select="formations"/>

          </fo:block-container>

        </fo:flow>

      </fo:page-sequence>

      <fo:page-sequence master-reference="pages">

        <fo:static-content flow-name="Footer2">
          <fo:block border-top="1px solid #ccc" color="#666" font-size=".9em" text-align="center">page <fo:page-number />/<fo:page-number-citation ref-id="theEnd"/></fo:block>
        </fo:static-content>

        <fo:flow flow-name="Content2" font-family="Arial" font-size="10pt">

          <fo:block-container position="absolute" top="-0.5cm" left="6cm" width="12cm">
            <xsl:apply-templates select="activites"/>
            <fo:block id="theEnd"/>

          </fo:block-container>

        </fo:flow>

      </fo:page-sequence>

    </fo:root>

  </xsl:template>

  <xsl:template match="coordonnees">
    <fo:block space-after="5mm">
  <fo:external-graphic  src="images/emmanuelPierrez.jpg"
                        content-height="4cm"
                        vertical-align="middle"/>
    </fo:block>
    <fo:block space-after="5mm" font-size="10pt">
      <xsl:value-of select="nom"/>
      <xsl:text>&#160;</xsl:text>
      <xsl:value-of select="prenom"/>
    </fo:block>
    <fo:block>
      <xsl:value-of select="adresse/numero"/>
      <xsl:text>&#160;</xsl:text>
      <xsl:value-of select="adresse/voie"/>
    </fo:block>
    <fo:block>
      <xsl:value-of select="adresse/addrline"/>
    </fo:block>
    <fo:block space-after="5mm">
      <xsl:value-of select="adresse/codepostal"/>
      <xsl:text>&#160;</xsl:text>
      <xsl:value-of select="adresse/ville"/>
    </fo:block>
    <fo:block space-after="5mm">
      <xsl:apply-templates select="contact"/>
    </fo:block>
  </xsl:template>

  <xsl:template match="contact">
    <xsl:if test="@type!='Courriel'">
      <fo:inline><xsl:value-of select="."/></fo:inline>
      <fo:block/>
    </xsl:if>
    <xsl:if test="@type='Courriel'">
      <fo:inline text-decoration="underline" color="blue"><xsl:value-of select="."/></fo:inline>
    </xsl:if>
  </xsl:template>

  <xsl:template match="formations">
    <fo:block font-size="14pt" font-weight="bold" space-before="3mm" space-after="6mm">
      <xsl:value-of select="@libelle"/>
    </fo:block>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="experiences">
    <fo:block font-size="14pt" font-weight="bold" space-before="3mm" space-after="6mm">
      <xsl:value-of select="@libelle"/>
    </fo:block>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="formation">
    <fo:block space-after="3mm">
      <xsl:value-of select="diplome"/><xsl:apply-templates select="organisme"/><xsl:apply-templates select="lieu"/>.
    </fo:block>
  </xsl:template>

  <xsl:template match="experience">
    <fo:block space-after="3mm">
      <xsl:apply-templates select="annee"/><xsl:apply-templates select="libelle"/>.
    </fo:block>
  </xsl:template>

  <xsl:template match="publications">

  </xsl:template>

  <xsl:template match="activites">
    <fo:block font-size="14pt" font-weight="bold" space-before="3mm" space-after="6mm">
      <xsl:value-of select="@libelle"/>
    </fo:block>
    <fo:block space-after="3mm">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>

  <!-- Un lien -->
  <xsl:template match="lien">
    <fo:inline>
    <fo:basic-link color="blue" text-decoration="underline">
      <xsl:attribute name="external-destination">url(<xsl:value-of select="@href"/>)</xsl:attribute>
      <xsl:value-of select="."/>
    </fo:basic-link>
    </fo:inline>
  </xsl:template>
  
  <!-- Formatage -->
  <xsl:template match="annee">
    <xsl:if test="@class='start-date'"><fo:inline font-weight="bold"><xsl:value-of select="."/></fo:inline></xsl:if>
    <xsl:if test="@class='end-date'">-<fo:inline font-weight="bold"><xsl:value-of select="."/>&#160;</fo:inline></xsl:if>
  </xsl:template>
  
  <xsl:template match="titre">
    <fo:inline font-weight="bold"><xsl:value-of select="."/></fo:inline>
  </xsl:template>
  
  <xsl:template match="lieu">
    <fo:inline>,&#160;<xsl:value-of select="."/></fo:inline>
  </xsl:template>
  
  <xsl:template match="libelle">
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="organisme">
    <fo:inline>,&#160;<xsl:value-of select="."/></fo:inline>
  </xsl:template>

</xsl:stylesheet>